]> gitweb.fperrin.net Git - iftop.git/blob - Makefile.in
367253d44e545ba87ae4c1a679f5ce74b9592185
[iftop.git] / Makefile.in
1 # Makefile.in generated by automake 1.9 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Makefile.am:
19 # Automake file for iftop.
20 #
21 # I don't understand this stuff, so I just stole it from the tpop3d
22 # distribution. That means that, really, Mark Longair should take credit for
23 # it.
24 #   -- Chris Lightfoot
25 #
26 # $Id: Makefile.am,v 1.10 2007/03/03 16:01:47 pdw Exp $
27 #
28
29
30 SOURCES = $(iftop_SOURCES) $(iftop_dump_SOURCES)
31
32 srcdir = @srcdir@
33 top_srcdir = @top_srcdir@
34 VPATH = @srcdir@
35 pkgdatadir = $(datadir)/@PACKAGE@
36 pkglibdir = $(libdir)/@PACKAGE@
37 pkgincludedir = $(includedir)/@PACKAGE@
38 top_builddir = .
39 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
40 INSTALL = @INSTALL@
41 install_sh_DATA = $(install_sh) -c -m 644
42 install_sh_PROGRAM = $(install_sh) -c
43 install_sh_SCRIPT = $(install_sh) -c
44 INSTALL_HEADER = $(INSTALL_DATA)
45 transform = $(program_transform_name)
46 NORMAL_INSTALL = :
47 PRE_INSTALL = :
48 POST_INSTALL = :
49 NORMAL_UNINSTALL = :
50 PRE_UNINSTALL = :
51 POST_UNINSTALL = :
52 build_triplet = @build@
53 host_triplet = @host@
54 target_triplet = @target@
55 sbin_PROGRAMS = iftop$(EXEEXT) iftop-dump$(EXEEXT)
56 subdir = .
57 DIST_COMMON = README $(am__configure_deps) $(noinst_HEADERS) \
58         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
59         $(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
60         ChangeLog INSTALL NEWS TODO
61 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
62 am__aclocal_m4_deps = $(top_srcdir)/configure.in
63 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
64         $(ACLOCAL_M4)
65 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
66  configure.lineno configure.status.lineno
67 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
68 CONFIG_HEADER = config.h
69 CONFIG_CLEAN_FILES =
70 am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
71 sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
72 PROGRAMS = $(sbin_PROGRAMS)
73 am_iftop_OBJECTS = addr_hash.$(OBJEXT) edline.$(OBJEXT) hash.$(OBJEXT) \
74         iftop.$(OBJEXT) ns_hash.$(OBJEXT) options.$(OBJEXT) \
75         resolver.$(OBJEXT) screenfilter.$(OBJEXT) serv_hash.$(OBJEXT) \
76         sorted_list.$(OBJEXT) threadprof.$(OBJEXT) ui.$(OBJEXT) \
77         util.$(OBJEXT) addrs_ioctl.$(OBJEXT) addrs_dlpi.$(OBJEXT) \
78         dlcommon.$(OBJEXT) stringmap.$(OBJEXT) cfgfile.$(OBJEXT) \
79         vector.$(OBJEXT)
80 iftop_OBJECTS = $(am_iftop_OBJECTS)
81 iftop_LDADD = $(LDADD)
82 am_iftop_dump_OBJECTS = counter_hash.$(OBJEXT) hash.$(OBJEXT) \
83         iftop-dump.$(OBJEXT) options.$(OBJEXT) util.$(OBJEXT) \
84         addrs_ioctl.$(OBJEXT) addrs_dlpi.$(OBJEXT) dlcommon.$(OBJEXT) \
85         stringmap.$(OBJEXT) cfgfile.$(OBJEXT)
86 iftop_dump_OBJECTS = $(am_iftop_dump_OBJECTS)
87 iftop_dump_LDADD = $(LDADD)
88 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
89 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
90 am__depfiles_maybe = depfiles
91 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
92         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
93 CCLD = $(CC)
94 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
95 SOURCES = $(iftop_SOURCES) $(iftop_dump_SOURCES)
96 DIST_SOURCES = $(iftop_SOURCES) $(iftop_dump_SOURCES)
97 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
98         html-recursive info-recursive install-data-recursive \
99         install-exec-recursive install-info-recursive \
100         install-recursive installcheck-recursive installdirs-recursive \
101         pdf-recursive ps-recursive uninstall-info-recursive \
102         uninstall-recursive
103 man8dir = $(mandir)/man8
104 NROFF = nroff
105 MANS = $(man_MANS)
106 HEADERS = $(noinst_HEADERS)
107 ETAGS = etags
108 CTAGS = ctags
109 DIST_SUBDIRS = $(SUBDIRS)
110 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
111 distdir = $(PACKAGE)-$(VERSION)
112 top_distdir = $(distdir)
113 am__remove_distdir = \
114   { test ! -d $(distdir) \
115     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
116          && rm -fr $(distdir); }; }
117 DIST_ARCHIVES = $(distdir).tar.gz
118 GZIP_ENV = --best
119 distuninstallcheck_listfiles = find . -type f -print
120 distcleancheck_listfiles = find . -type f -print
121 ACLOCAL = aclocal -I @ac_aux_dir@
122 AMDEP_FALSE = @AMDEP_FALSE@
123 AMDEP_TRUE = @AMDEP_TRUE@
124 AMTAR = @AMTAR@
125 AUTOCONF = @AUTOCONF@
126 AUTOHEADER = @AUTOHEADER@
127 AUTOMAKE = @AUTOMAKE@
128 AWK = @AWK@
129 CC = @CC@
130 CCDEPMODE = @CCDEPMODE@
131 CFLAGS = @CFLAGS@
132 CPP = @CPP@
133 CPPFLAGS = @CPPFLAGS@
134 CYGPATH_W = @CYGPATH_W@
135 DEFS = @DEFS@
136 DEPDIR = @DEPDIR@
137 ECHO_C = @ECHO_C@
138 ECHO_N = @ECHO_N@
139 ECHO_T = @ECHO_T@
140 EGREP = @EGREP@
141 EXEEXT = @EXEEXT@
142 GREP = @GREP@
143 INSTALL_DATA = @INSTALL_DATA@
144 INSTALL_PROGRAM = @INSTALL_PROGRAM@
145 INSTALL_SCRIPT = @INSTALL_SCRIPT@
146 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
147 LDFLAGS = @LDFLAGS@
148 LIBOBJS = @LIBOBJS@
149 LIBS = @LIBS@
150 LTLIBOBJS = @LTLIBOBJS@
151 MAKEINFO = @MAKEINFO@
152 OBJEXT = @OBJEXT@
153 PACKAGE = @PACKAGE@
154 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
155 PACKAGE_NAME = @PACKAGE_NAME@
156 PACKAGE_STRING = @PACKAGE_STRING@
157 PACKAGE_TARNAME = @PACKAGE_TARNAME@
158 PACKAGE_URL = @PACKAGE_URL@
159 PACKAGE_VERSION = @PACKAGE_VERSION@
160 PATH_SEPARATOR = @PATH_SEPARATOR@
161 SET_MAKE = @SET_MAKE@
162 SHELL = @SHELL@
163 STRIP = @STRIP@
164 VERSION = @VERSION@
165 ac_aux_dir = @ac_aux_dir@
166 ac_ct_CC = @ac_ct_CC@
167 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
168 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
169 am__include = @am__include@
170 am__leading_dot = @am__leading_dot@
171 am__quote = @am__quote@
172 am__tar = @am__tar@
173 am__untar = @am__untar@
174 bindir = @bindir@
175 build = @build@
176 build_alias = @build_alias@
177 build_cpu = @build_cpu@
178 build_os = @build_os@
179 build_vendor = @build_vendor@
180 datadir = @datadir@
181 datarootdir = @datarootdir@
182 docdir = @docdir@
183 dvidir = @dvidir@
184 exec_prefix = @exec_prefix@
185 host = @host@
186 host_alias = @host_alias@
187 host_cpu = @host_cpu@
188 host_os = @host_os@
189 host_vendor = @host_vendor@
190 htmldir = @htmldir@
191 includedir = @includedir@
192 infodir = @infodir@
193 install_sh = @install_sh@
194 libdir = @libdir@
195 libexecdir = @libexecdir@
196 localedir = @localedir@
197 localstatedir = @localstatedir@
198 mandir = @mandir@
199 mkdir_p = @mkdir_p@
200 oldincludedir = @oldincludedir@
201 pdfdir = @pdfdir@
202 prefix = @prefix@
203 program_transform_name = @program_transform_name@
204 psdir = @psdir@
205 sbindir = @sbindir@
206 sharedstatedir = @sharedstatedir@
207 sysconfdir = @sysconfdir@
208 target = @target@
209 target_alias = @target_alias@
210 target_cpu = @target_cpu@
211 target_os = @target_os@
212 target_vendor = @target_vendor@
213 iftop_SOURCES = addr_hash.c edline.c hash.c iftop.c ns_hash.c \
214                  options.c resolver.c screenfilter.c serv_hash.c \
215                  sorted_list.c threadprof.c ui.c util.c \
216                  addrs_ioctl.c addrs_dlpi.c dlcommon.c \
217                  stringmap.c cfgfile.c vector.c
218
219 iftop_dump_SOURCES = counter_hash.c hash.c iftop-dump.c  \
220                  options.c \
221                  util.c \
222                  addrs_ioctl.c addrs_dlpi.c dlcommon.c \
223                  stringmap.c cfgfile.c 
224
225 noinst_HEADERS = addr_hash.h ether.h ethertype.h extract.h hash.h iftop.h \
226                  integers.h ip.h llc.h ns_hash.h options.h resolver.h \
227                  screenfilter.h serv_hash.h sll.h sorted_list.h tcp.h \
228                  threadprof.h token.h ui.h dlcommon.h stringmap.h \
229                  vector.h cfgfile.h ppp.h
230
231 man_MANS = iftop.8
232 SUBDIRS = config
233 EXTRA_DIST = bootstrap README ChangeLog AUTHORS COPYING INSTALL TODO \
234                 Makefile.OLD $(man_MANS) iftop.cat iftop.spec
235
236 MAINTERCLEANFILES = Makefile.in aclocal.m4 configure configuration.h.in \
237                     stamp-h.in iftop.spec
238
239 all: config.h
240         $(MAKE) $(AM_MAKEFLAGS) all-recursive
241
242 .SUFFIXES:
243 .SUFFIXES: .c .o .obj
244 am--refresh:
245         @:
246 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
247         @for dep in $?; do \
248           case '$(am__configure_deps)' in \
249             *$$dep*) \
250               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
251               cd $(srcdir) && $(AUTOMAKE) --foreign  \
252                 && exit 0; \
253               exit 1;; \
254           esac; \
255         done; \
256         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
257         cd $(top_srcdir) && \
258           $(AUTOMAKE) --foreign  Makefile
259 .PRECIOUS: Makefile
260 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
261         @case '$?' in \
262           *config.status*) \
263             echo ' $(SHELL) ./config.status'; \
264             $(SHELL) ./config.status;; \
265           *) \
266             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
267             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
268         esac;
269
270 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
271         $(SHELL) ./config.status --recheck
272
273 $(top_srcdir)/configure:  $(am__configure_deps)
274         cd $(srcdir) && $(AUTOCONF)
275 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
276         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
277
278 config.h: stamp-h1
279         @if test ! -f $@; then \
280           rm -f stamp-h1; \
281           $(MAKE) stamp-h1; \
282         else :; fi
283
284 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
285         @rm -f stamp-h1
286         cd $(top_builddir) && $(SHELL) ./config.status config.h
287 $(srcdir)/config.h.in:  $(am__configure_deps) 
288         cd $(top_srcdir) && $(AUTOHEADER)
289         rm -f stamp-h1
290         touch $@
291
292 distclean-hdr:
293         -rm -f config.h stamp-h1
294 install-sbinPROGRAMS: $(sbin_PROGRAMS)
295         @$(NORMAL_INSTALL)
296         test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
297         @list='$(sbin_PROGRAMS)'; for p in $$list; do \
298           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
299           if test -f $$p \
300           ; then \
301             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
302            echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
303            $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
304           else :; fi; \
305         done
306
307 uninstall-sbinPROGRAMS:
308         @$(NORMAL_UNINSTALL)
309         @list='$(sbin_PROGRAMS)'; for p in $$list; do \
310           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
311           echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
312           rm -f "$(DESTDIR)$(sbindir)/$$f"; \
313         done
314
315 clean-sbinPROGRAMS:
316         -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
317 iftop$(EXEEXT): $(iftop_OBJECTS) $(iftop_DEPENDENCIES) 
318         @rm -f iftop$(EXEEXT)
319         $(LINK) $(iftop_LDFLAGS) $(iftop_OBJECTS) $(iftop_LDADD) $(LIBS)
320 iftop-dump$(EXEEXT): $(iftop_dump_OBJECTS) $(iftop_dump_DEPENDENCIES) 
321         @rm -f iftop-dump$(EXEEXT)
322         $(LINK) $(iftop_dump_LDFLAGS) $(iftop_dump_OBJECTS) $(iftop_dump_LDADD) $(LIBS)
323
324 mostlyclean-compile:
325         -rm -f *.$(OBJEXT)
326
327 distclean-compile:
328         -rm -f *.tab.c
329
330 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addr_hash.Po@am__quote@
331 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addrs_dlpi.Po@am__quote@
332 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addrs_ioctl.Po@am__quote@
333 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfgfile.Po@am__quote@
334 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/counter_hash.Po@am__quote@
335 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dlcommon.Po@am__quote@
336 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/edline.Po@am__quote@
337 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Po@am__quote@
338 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iftop-dump.Po@am__quote@
339 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iftop.Po@am__quote@
340 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ns_hash.Po@am__quote@
341 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/options.Po@am__quote@
342 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resolver.Po@am__quote@
343 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/screenfilter.Po@am__quote@
344 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/serv_hash.Po@am__quote@
345 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sorted_list.Po@am__quote@
346 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stringmap.Po@am__quote@
347 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/threadprof.Po@am__quote@
348 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ui.Po@am__quote@
349 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
350 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vector.Po@am__quote@
351
352 .c.o:
353 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
354 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
355 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
356 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
357 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
358
359 .c.obj:
360 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
361 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
362 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
363 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
364 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
365 uninstall-info-am:
366 install-man8: $(man8_MANS) $(man_MANS)
367         @$(NORMAL_INSTALL)
368         test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
369         @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
370         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
371         for i in $$l2; do \
372           case "$$i" in \
373             *.8*) list="$$list $$i" ;; \
374           esac; \
375         done; \
376         for i in $$list; do \
377           if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
378           else file=$$i; fi; \
379           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
380           case "$$ext" in \
381             8*) ;; \
382             *) ext='8' ;; \
383           esac; \
384           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
385           inst=`echo $$inst | sed -e 's/^.*\///'`; \
386           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
387           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
388           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
389         done
390 uninstall-man8:
391         @$(NORMAL_UNINSTALL)
392         @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
393         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
394         for i in $$l2; do \
395           case "$$i" in \
396             *.8*) list="$$list $$i" ;; \
397           esac; \
398         done; \
399         for i in $$list; do \
400           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
401           case "$$ext" in \
402             8*) ;; \
403             *) ext='8' ;; \
404           esac; \
405           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
406           inst=`echo $$inst | sed -e 's/^.*\///'`; \
407           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
408           echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
409           rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
410         done
411
412 # This directory's subdirectories are mostly independent; you can cd
413 # into them and run `make' without going through this Makefile.
414 # To change the values of `make' variables: instead of editing Makefiles,
415 # (1) if the variable is set in `config.status', edit `config.status'
416 #     (which will cause the Makefiles to be regenerated when you run `make');
417 # (2) otherwise, pass the desired values on the `make' command line.
418 $(RECURSIVE_TARGETS):
419         @set fnord $$MAKEFLAGS; amf=$$2; \
420         dot_seen=no; \
421         target=`echo $@ | sed s/-recursive//`; \
422         list='$(SUBDIRS)'; for subdir in $$list; do \
423           echo "Making $$target in $$subdir"; \
424           if test "$$subdir" = "."; then \
425             dot_seen=yes; \
426             local_target="$$target-am"; \
427           else \
428             local_target="$$target"; \
429           fi; \
430           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
431            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
432         done; \
433         if test "$$dot_seen" = "no"; then \
434           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
435         fi; test -z "$$fail"
436
437 mostlyclean-recursive clean-recursive distclean-recursive \
438 maintainer-clean-recursive:
439         @set fnord $$MAKEFLAGS; amf=$$2; \
440         dot_seen=no; \
441         case "$@" in \
442           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
443           *) list='$(SUBDIRS)' ;; \
444         esac; \
445         rev=''; for subdir in $$list; do \
446           if test "$$subdir" = "."; then :; else \
447             rev="$$subdir $$rev"; \
448           fi; \
449         done; \
450         rev="$$rev ."; \
451         target=`echo $@ | sed s/-recursive//`; \
452         for subdir in $$rev; do \
453           echo "Making $$target in $$subdir"; \
454           if test "$$subdir" = "."; then \
455             local_target="$$target-am"; \
456           else \
457             local_target="$$target"; \
458           fi; \
459           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
460            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
461         done && test -z "$$fail"
462 tags-recursive:
463         list='$(SUBDIRS)'; for subdir in $$list; do \
464           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
465         done
466 ctags-recursive:
467         list='$(SUBDIRS)'; for subdir in $$list; do \
468           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
469         done
470
471 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
472         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
473         unique=`for i in $$list; do \
474             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
475           done | \
476           $(AWK) '    { files[$$0] = 1; } \
477                END { for (i in files) print i; }'`; \
478         mkid -fID $$unique
479 tags: TAGS
480
481 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
482                 $(TAGS_FILES) $(LISP)
483         tags=; \
484         here=`pwd`; \
485         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
486           include_option=--etags-include; \
487           empty_fix=.; \
488         else \
489           include_option=--include; \
490           empty_fix=; \
491         fi; \
492         list='$(SUBDIRS)'; for subdir in $$list; do \
493           if test "$$subdir" = .; then :; else \
494             test ! -f $$subdir/TAGS || \
495               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
496           fi; \
497         done; \
498         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
499         unique=`for i in $$list; do \
500             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
501           done | \
502           $(AWK) '    { files[$$0] = 1; } \
503                END { for (i in files) print i; }'`; \
504         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
505           test -n "$$unique" || unique=$$empty_fix; \
506           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
507             $$tags $$unique; \
508         fi
509 ctags: CTAGS
510 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
511                 $(TAGS_FILES) $(LISP)
512         tags=; \
513         here=`pwd`; \
514         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
515         unique=`for i in $$list; do \
516             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
517           done | \
518           $(AWK) '    { files[$$0] = 1; } \
519                END { for (i in files) print i; }'`; \
520         test -z "$(CTAGS_ARGS)$$tags$$unique" \
521           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
522              $$tags $$unique
523
524 GTAGS:
525         here=`$(am__cd) $(top_builddir) && pwd` \
526           && cd $(top_srcdir) \
527           && gtags -i $(GTAGS_ARGS) $$here
528
529 distclean-tags:
530         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
531
532 distdir: $(DISTFILES)
533         $(am__remove_distdir)
534         mkdir $(distdir)
535         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
536         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
537         list='$(DISTFILES)'; for file in $$list; do \
538           case $$file in \
539             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
540             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
541           esac; \
542           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
543           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
544           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
545             dir="/$$dir"; \
546             $(mkdir_p) "$(distdir)$$dir"; \
547           else \
548             dir=''; \
549           fi; \
550           if test -d $$d/$$file; then \
551             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
552               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
553             fi; \
554             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
555           else \
556             test -f $(distdir)/$$file \
557             || cp -p $$d/$$file $(distdir)/$$file \
558             || exit 1; \
559           fi; \
560         done
561         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
562           if test "$$subdir" = .; then :; else \
563             test -d "$(distdir)/$$subdir" \
564             || $(mkdir_p) "$(distdir)/$$subdir" \
565             || exit 1; \
566             distdir=`$(am__cd) $(distdir) && pwd`; \
567             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
568             (cd $$subdir && \
569               $(MAKE) $(AM_MAKEFLAGS) \
570                 top_distdir="$$top_distdir" \
571                 distdir="$$distdir/$$subdir" \
572                 distdir) \
573               || exit 1; \
574           fi; \
575         done
576         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
577           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
578           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
579           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
580         || chmod -R a+r $(distdir)
581 dist-gzip: distdir
582         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
583         $(am__remove_distdir)
584
585 dist-bzip2: distdir
586         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
587         $(am__remove_distdir)
588
589 dist-tarZ: distdir
590         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
591         $(am__remove_distdir)
592
593 dist-shar: distdir
594         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
595         $(am__remove_distdir)
596
597 dist-zip: distdir
598         -rm -f $(distdir).zip
599         zip -rq $(distdir).zip $(distdir)
600         $(am__remove_distdir)
601
602 dist dist-all: distdir
603         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
604         $(am__remove_distdir)
605
606 # This target untars the dist file and tries a VPATH configuration.  Then
607 # it guarantees that the distribution is self-contained by making another
608 # tarfile.
609 distcheck: dist
610         case '$(DIST_ARCHIVES)' in \
611         *.tar.gz*) \
612           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
613         *.tar.bz2*) \
614           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
615         *.tar.Z*) \
616           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
617         *.shar.gz*) \
618           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
619         *.zip*) \
620           unzip $(distdir).zip ;;\
621         esac
622         chmod -R a-w $(distdir); chmod a+w $(distdir)
623         mkdir $(distdir)/_build
624         mkdir $(distdir)/_inst
625         chmod a-w $(distdir)
626         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
627           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
628           && cd $(distdir)/_build \
629           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
630             $(DISTCHECK_CONFIGURE_FLAGS) \
631           && $(MAKE) $(AM_MAKEFLAGS) \
632           && $(MAKE) $(AM_MAKEFLAGS) dvi \
633           && $(MAKE) $(AM_MAKEFLAGS) check \
634           && $(MAKE) $(AM_MAKEFLAGS) install \
635           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
636           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
637           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
638                 distuninstallcheck \
639           && chmod -R a-w "$$dc_install_base" \
640           && ({ \
641                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
642                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
643                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
644                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
645                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
646               } || { rm -rf "$$dc_destdir"; exit 1; }) \
647           && rm -rf "$$dc_destdir" \
648           && $(MAKE) $(AM_MAKEFLAGS) dist \
649           && rm -rf $(DIST_ARCHIVES) \
650           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
651         $(am__remove_distdir)
652         @(echo "$(distdir) archives ready for distribution: "; \
653           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
654           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
655 distuninstallcheck:
656         @cd $(distuninstallcheck_dir) \
657         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
658            || { echo "ERROR: files left after uninstall:" ; \
659                 if test -n "$(DESTDIR)"; then \
660                   echo "  (check DESTDIR support)"; \
661                 fi ; \
662                 $(distuninstallcheck_listfiles) ; \
663                 exit 1; } >&2
664 distcleancheck: distclean
665         @if test '$(srcdir)' = . ; then \
666           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
667           exit 1 ; \
668         fi
669         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
670           || { echo "ERROR: files left in build directory after distclean:" ; \
671                $(distcleancheck_listfiles) ; \
672                exit 1; } >&2
673 check-am: all-am
674 check: check-recursive
675 all-am: Makefile $(PROGRAMS) $(MANS) $(HEADERS) config.h
676 installdirs: installdirs-recursive
677 installdirs-am:
678         for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"; do \
679           test -z "$$dir" || $(mkdir_p) "$$dir"; \
680         done
681 install: install-recursive
682 install-exec: install-exec-recursive
683 install-data: install-data-recursive
684 uninstall: uninstall-recursive
685
686 install-am: all-am
687         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
688
689 installcheck: installcheck-recursive
690 install-strip:
691         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
692           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
693           `test -z '$(STRIP)' || \
694             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
695 mostlyclean-generic:
696
697 clean-generic:
698
699 distclean-generic:
700         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
701
702 maintainer-clean-generic:
703         @echo "This command is intended for maintainers to use"
704         @echo "it deletes files that may require special tools to rebuild."
705 clean: clean-recursive
706
707 clean-am: clean-generic clean-sbinPROGRAMS mostlyclean-am
708
709 distclean: distclean-recursive
710         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
711         -rm -rf ./$(DEPDIR)
712         -rm -f Makefile
713 distclean-am: clean-am distclean-compile distclean-generic \
714         distclean-hdr distclean-tags
715
716 dvi: dvi-recursive
717
718 dvi-am:
719
720 html: html-recursive
721
722 info: info-recursive
723
724 info-am:
725
726 install-data-am: install-man
727
728 install-exec-am: install-sbinPROGRAMS
729
730 install-info: install-info-recursive
731
732 install-man: install-man8
733
734 installcheck-am:
735
736 maintainer-clean: maintainer-clean-recursive
737         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
738         -rm -rf $(top_srcdir)/autom4te.cache
739         -rm -rf ./$(DEPDIR)
740         -rm -f Makefile
741 maintainer-clean-am: distclean-am maintainer-clean-generic
742
743 mostlyclean: mostlyclean-recursive
744
745 mostlyclean-am: mostlyclean-compile mostlyclean-generic
746
747 pdf: pdf-recursive
748
749 pdf-am:
750
751 ps: ps-recursive
752
753 ps-am:
754
755 uninstall-am: uninstall-info-am uninstall-man uninstall-sbinPROGRAMS
756
757 uninstall-info: uninstall-info-recursive
758
759 uninstall-man: uninstall-man8
760
761 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
762         check-am clean clean-generic clean-recursive \
763         clean-sbinPROGRAMS ctags ctags-recursive dist dist-all \
764         dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip distcheck \
765         distclean distclean-compile distclean-generic distclean-hdr \
766         distclean-recursive distclean-tags distcleancheck distdir \
767         distuninstallcheck dvi dvi-am html html-am info info-am \
768         install install-am install-data install-data-am install-exec \
769         install-exec-am install-info install-info-am install-man \
770         install-man8 install-sbinPROGRAMS install-strip installcheck \
771         installcheck-am installdirs installdirs-am maintainer-clean \
772         maintainer-clean-generic maintainer-clean-recursive \
773         mostlyclean mostlyclean-compile mostlyclean-generic \
774         mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
775         uninstall uninstall-am uninstall-info-am uninstall-man \
776         uninstall-man8 uninstall-sbinPROGRAMS
777
778
779 iftop.cat: iftop.8
780         (echo -e ".pl 1100i" ; cat iftop.8 ; echo ".pl \n(nlu+10") | groff -Tascii -man > iftop.cat
781
782 iftop.spec: iftop.spec.in configure.in
783         sed 's/__VERSION__/$(VERSION)/' < iftop.spec.in > iftop.spec
784 # Tell versions [3.59,3.63) of GNU make to not export all variables.
785 # Otherwise a system limit (for SysV at least) may be exceeded.
786 .NOEXPORT: